# class IAXMetaTrunkFrame | Meta trunk frame. More...
Full name | `TelEngine::IAXMetaTrunkFrame`
Definition | `#include <libs/yiax/yateiax.h>`
Inherits | TelEngine::Mutex [public ], TelEngine::RefObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- IAXMetaTrunkFrame (IAXEngine* engine, const SocketAddr& addr, bool timestamps, unsigned int maxLen, unsigned int sendInterval)
- virtual ~IAXMetaTrunkFrame ()
- inline const SocketAddr& addr () const
- inline unsigned int calls () const
- inline void changeCalls (bool add)
- inline bool trunkTimestamps () const
- inline unsigned int sendInterval () const
- inline unsigned int maxLen () const
- unsigned int add (u_int16_t sCallNo, const DataBlock& data, u_int32_t tStamp)
- inline bool timerTick (const Time& now = Time())
- inline bool send ()

## Detailed Description

Handle meta trunk frame with timestamps

IAXMetaTrunkFrame (IAXEngine* engine, const SocketAddr& addr, bool timestamps, unsigned int maxLen, unsigned int sendInterval) | ### IAXMetaTrunkFrame

Constructor. Constructs an outgoing meta trunk frame

Parameters:

engine | The engine that owns this frame
addr | Remote peer address
timestamps | True if miniframes have timestamps, false if not
maxLen | Maximum frame length
sendInterval | Trunk send interval in milliseconds

~IAXMetaTrunkFrame () | ### ~IAXMetaTrunkFrame

[virtual]

Destructor

inline const SocketAddr& addr () | ### addr

[const]

Get the remote peer address

Returns: The remote peer address

inline unsigned int calls () | ### calls

[const]

Retrieve the number of calls using this trunk

Returns: The number of calls using this trunk

inline void changeCalls (bool add) | ### changeCalls

Change the number of calls using this trunk

Parameters:

add | True to add a call, false to remove it

inline bool trunkTimestamps () | ### trunkTimestamps

[const]

Check if the frame is adding mini frames timestamps

Returns: True if the frame is adding mini frames timestamps

inline unsigned int sendInterval () | ### sendInterval

[const]

Retrieve the send interval

Returns: Send interval in milliseconds

inline unsigned int maxLen () | ### maxLen

[const]

Retrieve the frame maximum length

Returns: Frame maximum length

unsigned int add (u_int16_t sCallNo, const DataBlock& data, u_int32_t tStamp) | ### add

Add a mini frame. If no room, send before adding

Parameters:

sCallNo | Sorce call number
data | Mini frame data
tStamp | Mini frame timestamp

Returns: The number of data bytes added to trunk, 0 on failure

inline bool timerTick (const Time& now = Time()) | ### timerTick

Send this frame to remote peer if the time arrived

Parameters:

now | Current time

Returns: The result of the write operation

inline bool send () | ### send

Send this frame to remote peer if there is any data in buffer

Returns: The result of the write operation

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.